GNU bug report logs - #40386
Reading F2FS UUIDs and labels is not supported

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: raingloom <raingloom@HIDDEN>; Keywords: fixed moreinfo; Done: Ludovic Courtès <ludo@HIDDEN>; Maintainer for guix is bug-guix@HIDDEN.
bug closed, send any further explanations to 40386 <at> debbugs.gnu.org and raingloom <raingloom@HIDDEN> Request was from Ludovic Courtès <ludo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) fixed. Request was from Ludovic Courtès <ludo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Changed bug title to 'Reading F2FS UUIDs and labels is not supported' from 'guix system init can't find file system by UUID, workaround results in broken boot' Request was from Ludovic Courtès <ludo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 40386 <at> debbugs.gnu.org:


Received: (at 40386) by debbugs.gnu.org; 21 May 2020 05:09:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 21 01:09:58 2020
Received: from localhost ([127.0.0.1]:55047 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jbdSw-0002Wm-M4
	for submit <at> debbugs.gnu.org; Thu, 21 May 2020 01:09:58 -0400
Received: from mx1.riseup.net ([198.252.153.129]:33002)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raingloom@HIDDEN>) id 1jbdSv-0002We-AL
 for 40386 <at> debbugs.gnu.org; Thu, 21 May 2020 01:09:57 -0400
Received: from bell.riseup.net (bell-pn.riseup.net [10.0.1.178])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "Sectigo RSA Domain Validation Secure Server CA" (not verified))
 by mx1.riseup.net (Postfix) with ESMTPS id 49SHjw1pXczFbjW
 for <40386 <at> debbugs.gnu.org>; Wed, 20 May 2020 22:09:56 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1590037796; bh=tWE1dCMIc8ZGddfoL4qjZPHdn3mcaJd3JjCTa8ktiVk=;
 h=Date:From:To:Subject:From;
 b=KTFk2ARbbEch/q8Xi6zakscw4y3jUXv3zzWXcPYDPlCUBKBizYo9wX1YKJLsXCW0P
 D0xlTEbXMxZFL9oDxxw200sfIue6oysyc2vw3EZjghWhFL6jZtA0rZsipjqTLCFAUK
 QxSsuKT/LMPeY0KIzYSv5g20cLPcDG1HNJpH7kbI=
X-Riseup-User-ID: F94BFB735B8438D6B2813C0A95A147046119CB940C93CC038E604CB8D43D3F17
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by bell.riseup.net (Postfix) with ESMTPSA id 49SHjv3zDgzJmlg
 for <40386 <at> debbugs.gnu.org>; Wed, 20 May 2020 22:09:55 -0700 (PDT)
Date: Thu, 21 May 2020 07:09:52 +0200
From: raingloom <raingloom@HIDDEN>
To: 40386 <at> debbugs.gnu.org
Subject: guix system init can't find file system by UUID, workaround results
 in broken boot
Message-ID: <20200521070952.01ad2132@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 40386
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

This can be closed, now that we have F2FS support.

Although maybe the error message could be better for file systems that
are not supported. Right now the use has no way to distinguish whether
`guix system` failed to find their device because they mistyped the
UUID or because it doesn't even support their file system of choice at
all.




Information forwarded to bug-guix@HIDDEN:
bug#40386; Package guix. Full text available.

Message received at 40386 <at> debbugs.gnu.org:


Received: (at 40386) by debbugs.gnu.org; 6 Apr 2020 06:49:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 06 02:49:55 2020
Received: from localhost ([127.0.0.1]:47077 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jLLZx-0005is-SP
	for submit <at> debbugs.gnu.org; Mon, 06 Apr 2020 02:49:55 -0400
Received: from mx1.riseup.net ([198.252.153.129]:42908)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raingloom@HIDDEN>) id 1jLLZw-0005ig-55
 for 40386 <at> debbugs.gnu.org; Mon, 06 Apr 2020 02:49:52 -0400
Received: from bell.riseup.net (unknown [10.0.1.178])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "Sectigo RSA Domain Validation Secure Server CA" (not verified))
 by mx1.riseup.net (Postfix) with ESMTPS id 48wh3z2qbnzFfxk;
 Sun,  5 Apr 2020 23:49:51 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1586155791; bh=RF0NKJYlsFUwl8c5lrcYfEPoTn1kOuTRYn4RMXiN5E8=;
 h=Date:From:To:Cc:Subject:In-Reply-To:References:From;
 b=IpNaimiKaARko2BzlpUyCAiCUbckRw1wFzh4wMkiNV5WniUHOVfe+ZUJiUOFDeMIP
 U59jhkyZo4dRqRy+seA3B+PzS7v83jFxL1L5fP0gSaiMjzRZF8WD3UnPGN0SLGmBMS
 aIZ/0fhNAUZs7XZRDBgtaKbo2iaXMXKjNP/kxQIs=
X-Riseup-User-ID: 15E237B8E3C3C975429ED4711E7141D78776A46D4FC97684A9CB4F2DD3540B4E
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by bell.riseup.net (Postfix) with ESMTPSA id 48wh3y4R30zJqyl;
 Sun,  5 Apr 2020 23:49:50 -0700 (PDT)
Date: Mon, 6 Apr 2020 08:49:39 +0200
From: raingloom <raingloom@HIDDEN>
To: Ludovic =?UTF-8?B?Q291cnTDqHM=?= <ludo@HIDDEN>
Subject: F2FS support Was: bug#40386: guix system init can't find file
 system by UUID, workaround results in broken boot
Message-ID: <20200406084939.57a6e410@HIDDEN>
In-Reply-To: <87tv22nodk.fsf@HIDDEN>
References: <20200402084054.055a83f0@HIDDEN>
	<87tv22nodk.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 40386
Cc: 40386 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Thu, 02 Apr 2020 13:00:39 +0200
Ludovic Court=C3=A8s <ludo@HIDDEN> wrote:

> Hi,
>=20
> raingloom <raingloom@HIDDEN> skribis:
>=20
> > Trying to install Guix System onto an SSD using an UltraBay dock.
> > Config is the attached file (with slight variations in the obvious
> > places)
> >
> > `readlink /dev/disk/by-uuid/643a215d-a30e-473b-826e-5c35de29e38f`
> > gives me /dev/sdb1
> >
> > Yet using (uuid "643a215d-a30e-473b-826e-5c35de29e38f") results in:
> >
> > ```
> > sudo -E guix system init --no-bootloader
> > Configs/Guix/desktop-parametric.scm /mnt
> >  :( /home/raingloom/Configs/Guix/desktop-parametric.scm:50:26:
> > error: file system with UUID '643a215d-a30e-473b-826e-5c35de29e38f'
> > not found ```
> >
> > Switching the UUID to uppercase as in the example (thankfully)
> > doesn't change anything, not even the error message.
> >
> > I tried using a label, same result. =20
>=20
> What file system is on /dev/sdb1?
>=20
> The code responsible for that is in (gnu build file-systems).  It
> currently recognizes only some file system types: ISO9660, ext2/3/4,
> Btrfs, FAT32, FAT16, and JFS.
>=20
> Can you try:
>=20
>   sudo guix repl
>   ,use(gnu build file-systems)
>   (find-partition-by-uuid (uuid
> "643a215d-a30e-473b-826e-5c35de29e38f"))
>=20
> ?
>=20
> > I ended up using the /dev/disk/by-uuid and /dev/disk/by-id paths for
> > the root file system and the bootloader respectively, and that
> > resulted in a succesful system init, but upon trying to boot the
> > SSD with the other machine, I got thrown into a rescue shell,
> > because it couldn't find the root using that path. =20
>=20
> Yes, because /dev/disk is not accessible early on.  That=E2=80=99s why the
> manual recommends using =E2=80=98uuid=E2=80=99 or =E2=80=98file-system-la=
bel=E2=80=99.
>=20
> > **(Quick aside: there really should be a guide for using that rescue
> > shell. I can get around in a /bin/sh one, but this is nearly
> > unusable. At least autocompletion should be supported.)** =20
>=20
> Yes, that reminds me someone reported a serious Bournish bug on IRC.
>=20
> Thanks,
> Ludo=E2=80=99.

It looks like the issue is that F2FS isn't supported, but I'm working
on adding support. UUID reading works, but labels still seem to be
buggy, and I'm still debugging some initrd issues, but I think I'm
close.




Information forwarded to bug-guix@HIDDEN:
bug#40386; Package guix. Full text available.
Added tag(s) moreinfo. Request was from Ludovic Courtès <ludo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 40386 <at> debbugs.gnu.org:


Received: (at 40386) by debbugs.gnu.org; 2 Apr 2020 11:00:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 02 07:00:50 2020
Received: from localhost ([127.0.0.1]:39267 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jJxac-0000K6-D2
	for submit <at> debbugs.gnu.org; Thu, 02 Apr 2020 07:00:50 -0400
Received: from eggs.gnu.org ([209.51.188.92]:57174)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1jJxaa-0000Jd-8e
 for 40386 <at> debbugs.gnu.org; Thu, 02 Apr 2020 07:00:48 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:53884)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1jJxaU-0001zp-TD; Thu, 02 Apr 2020 07:00:42 -0400
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=43198 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1jJxaS-0004ca-K8; Thu, 02 Apr 2020 07:00:41 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: raingloom <raingloom@HIDDEN>
Subject: Re: bug#40386: guix system init can't find file system by UUID,
 workaround results in broken boot
References: <20200402084054.055a83f0@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 14 Germinal an 228 de la =?utf-8?Q?R=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Thu, 02 Apr 2020 13:00:39 +0200
In-Reply-To: <20200402084054.055a83f0@HIDDEN> (raingloom@HIDDEN's
 message of "Thu, 2 Apr 2020 08:40:54 +0200")
Message-ID: <87tv22nodk.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 40386
Cc: 40386 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Hi,

raingloom <raingloom@HIDDEN> skribis:

> Trying to install Guix System onto an SSD using an UltraBay dock.
> Config is the attached file (with slight variations in the obvious
> places)
>
> `readlink /dev/disk/by-uuid/643a215d-a30e-473b-826e-5c35de29e38f` gives
> me /dev/sdb1
>
> Yet using (uuid "643a215d-a30e-473b-826e-5c35de29e38f") results in:
>
> ```
> sudo -E guix system init --no-bootloader
> Configs/Guix/desktop-parametric.scm /mnt
>  :( /home/raingloom/Configs/Guix/desktop-parametric.scm:50:26: error:
> file system with UUID '643a215d-a30e-473b-826e-5c35de29e38f' not found
> ```
>
> Switching the UUID to uppercase as in the example (thankfully) doesn't
> change anything, not even the error message.
>
> I tried using a label, same result.

What file system is on /dev/sdb1?

The code responsible for that is in (gnu build file-systems).  It
currently recognizes only some file system types: ISO9660, ext2/3/4,
Btrfs, FAT32, FAT16, and JFS.

Can you try:

  sudo guix repl
  ,use(gnu build file-systems)
  (find-partition-by-uuid (uuid "643a215d-a30e-473b-826e-5c35de29e38f"))

?

> I ended up using the /dev/disk/by-uuid and /dev/disk/by-id paths for
> the root file system and the bootloader respectively, and that resulted
> in a succesful system init, but upon trying to boot the SSD with the
> other machine, I got thrown into a rescue shell, because it couldn't
> find the root using that path.

Yes, because /dev/disk is not accessible early on.  That=E2=80=99s why the
manual recommends using =E2=80=98uuid=E2=80=99 or =E2=80=98file-system-labe=
l=E2=80=99.

> **(Quick aside: there really should be a guide for using that rescue
> shell. I can get around in a /bin/sh one, but this is nearly unusable.
> At least autocompletion should be supported.)**

Yes, that reminds me someone reported a serious Bournish bug on IRC.

Thanks,
Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#40386; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 2 Apr 2020 06:41:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 02 02:41:13 2020
Received: from localhost ([127.0.0.1]:39038 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jJtXN-0002pf-5F
	for submit <at> debbugs.gnu.org; Thu, 02 Apr 2020 02:41:13 -0400
Received: from lists.gnu.org ([209.51.188.17]:52383)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raingloom@HIDDEN>) id 1jJtXL-0002pY-EF
 for submit <at> debbugs.gnu.org; Thu, 02 Apr 2020 02:41:12 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:48443)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <raingloom@HIDDEN>) id 1jJtXJ-00067J-PE
 for bug-guix@HIDDEN; Thu, 02 Apr 2020 02:41:11 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.1 required=5.0 tests=BAYES_50,RCVD_IN_DNSWL_LOW,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <raingloom@HIDDEN>) id 1jJtXI-0002Og-8I
 for bug-guix@HIDDEN; Thu, 02 Apr 2020 02:41:09 -0400
Received: from mx1.riseup.net ([198.252.153.129]:54848)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <raingloom@HIDDEN>)
 id 1jJtXH-0002Nb-OQ
 for bug-guix@HIDDEN; Thu, 02 Apr 2020 02:41:08 -0400
Received: from bell.riseup.net (unknown [10.0.1.178])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "Sectigo RSA Domain Validation Secure Server CA" (not verified))
 by mx1.riseup.net (Postfix) with ESMTPS id 48tD3k1SH6zFf9Z
 for <bug-guix@HIDDEN>; Wed,  1 Apr 2020 23:41:06 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1585809666; bh=DjgdkyUdpIBz2cEYd2DXBjApC8pmJ1tnIBG10yDk6AI=;
 h=Date:From:To:Subject:From;
 b=okBZ6IztLYCcdPP1e4RyRQCFxLN0gZsYMg71kOckzay8LRUY7pHCBAKpHdffXVRqQ
 K40KJ6RuvQNOXPKfVBRwLI5qS1xhwOHb9nhPmx0+/Z+aLU6LTVk6h2A3WDUqBvOlBh
 rylGRVABdMswStUwx+m5SFw2TQrONm3hlQtDiadg=
X-Riseup-User-ID: BD1A8387BA385799044D22016E5B4EC81C3DCBFE6304A8C1A3D60F2D7DC65C99
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by bell.riseup.net (Postfix) with ESMTPSA id 48tD3j5VrKzJt71
 for <bug-guix@HIDDEN>; Wed,  1 Apr 2020 23:41:05 -0700 (PDT)
Date: Thu, 2 Apr 2020 08:40:54 +0200
From: raingloom <raingloom@HIDDEN>
To: bug-guix@HIDDEN
Subject: guix system init can't find file system by UUID, workaround results
 in broken boot
Message-ID: <20200402084054.055a83f0@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="MP_/18nlAFf5XDqONmJGa.cU/YF"
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-Received-From: 198.252.153.129
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.8 (/)

--MP_/18nlAFf5XDqONmJGa.cU/YF
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
Content-Disposition: inline

Trying to install Guix System onto an SSD using an UltraBay dock.
Config is the attached file (with slight variations in the obvious
places)

`readlink /dev/disk/by-uuid/643a215d-a30e-473b-826e-5c35de29e38f` gives
me /dev/sdb1

Yet using (uuid "643a215d-a30e-473b-826e-5c35de29e38f") results in:

```
sudo -E guix system init --no-bootloader
Configs/Guix/desktop-parametric.scm /mnt
 :( /home/raingloom/Configs/Guix/desktop-parametric.scm:50:26: error:
file system with UUID '643a215d-a30e-473b-826e-5c35de29e38f' not found
```

Switching the UUID to uppercase as in the example (thankfully) doesn't
change anything, not even the error message.

I tried using a label, same result.

I ended up using the /dev/disk/by-uuid and /dev/disk/by-id paths for
the root file system and the bootloader respectively, and that resulted
in a succesful system init, but upon trying to boot the SSD with the
other machine, I got thrown into a rescue shell, because it couldn't
find the root using that path.

**(Quick aside: there really should be a guide for using that rescue
shell. I can get around in a /bin/sh one, but this is nearly unusable.
At least autocompletion should be supported.)**

I tried modifying the --root kernel parameter from Grub, so that it
would point to /dev/sda1 directly (which is the device's name on the
other machine), but I was thrown into the rescue shell again, with the
same backtrace (with the old path replaced with /dev/sda1 of course).

Sooo, I have no idea what to do. Any tips on debugging this?

Or on reconfiguring a Guix System install that is on an external file
system? On Arch I'd just arch-chroot into it and fix it from there, but
I don't know of anything similar for Guix.

--MP_/18nlAFf5XDqONmJGa.cU/YF
Content-Type: text/x-scheme
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename=desktop-parametric.scm

;; for REPL
(use-modules (guix)
             (gnu services))

(use-modules (gnu)
	     (gnu system nss)
	     (gnu packages shells)
	     (gnu packages package-management)
	     (gnu packages gnome)
             (gnu packages xdisorg)
             (gnu packages android)
             (gnu system shadow)
             (gnu services linux))

(use-service-modules desktop ssh nix)
(use-package-modules
 bootloaders
 certs
 ratpoison
 suckless
 wm)

((lambda* (:key use-proprietary-crap?)
   (if use-proprietary-crap?
       (use-modules (nongnu packages linux))
       (use-modules (gnu packages linux)))

   (operating-system
     (host-name "greg")
     (timezone "Europe/Budapest")
     (locale "en_US.utf8")
     (kernel
      (if use-proprietary-crap?
	  linux
	  linux-libre))
     (firmware (append
	        (if use-proprietary-crap?
		    (list iwlwifi-firmware)
		    '())
	        %base-firmware))

     ;; Use the UEFI variant of GRUB with the EFI System
     ;; Partition mounted on /boot/efi.
     (bootloader (bootloader-configuration
                  (bootloader grub-bootloader)
                  (target "/dev/disk/by-id/ata-KINGSTON_SMS200S3120G_50026B727202A944")))

     ;; Assume the target root file system is labelled "my-root",
     ;; and the EFI System Partition has UUID 1234-ABCD.
     (file-systems (cons* (file-system
                            (device (uuid "643a215d-a30e-473b-826e-5c35de29e38f"))
                            (mount-point "/")
			    (options "compress")
                            (type "f2fs"))
			  %base-file-systems))

     (users (append (list
		     (user-account
		      (name "raingloom")
		      (comment "your friendly localhost admin")
		      (group "users")
		      (shell "/run/current-system/profile/bin/zsh")
		      (supplementary-groups '("adbusers" "audio" "kvm" "netdev" "video" "wheel"))
		      (home-directory "/home/raingloom")))
		    %base-user-accounts))

     (groups (cons (user-group (system? #t) (name "adbusers"))
                   %base-groups))

     (packages (cons* i3-wm i3status dmenu ;window manager
                      ;; sway swaylock swayidle swaybg waybar ;wayland window manager
		      nss-certs         ;for HTTPS access
		      zsh               ;nicer login shell
		      gvfs
                      glib-networking
		      nix
		      gnome
		      orca
                      libwacom
                      xf86-input-wacom
		      %base-packages))

     ;; Use the "desktop" services, which include the X11
     ;; log-in service, networking with NetworkManager, and more.
     (services
      (append (list (service nix-service-type)
		    (service openssh-service-type
			     (openssh-configuration (x11-forwarding? #f)))
                    (service earlyoom-service-type
                             (earlyoom-configuration (minimum-available-memory 5))))
	      (modify-services
                  %desktop-services
                (udev-service-type
                 config =>
                 (udev-configuration (inherit config)
                                     (rules (cons*
                                             android-udev-rules
                                             libwacom
                                             (udev-configuration-rules config)))))
                (elogind-service-type config =>
                                      (elogind-configuration
                                       (inherit config)
                                       (handle-lid-switch 'ignore)))
                (guix-service-type config =>
                                   (guix-configuration
                                    (inherit config)
                                    (extra-options '("--gc-keep-derivations=yes"
                                                     "--gc-keep-outputs=yes")))))))

     ;; Allow resolution of '.local' host names with mDNS.
     (name-service-switch %mdns-host-lookup-nss))) #:use-proprietary-crap? #f)

--MP_/18nlAFf5XDqONmJGa.cU/YF--




Acknowledgement sent to raingloom <raingloom@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#40386; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 24 May 2020 21:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.